RewriteEngine On
RewriteBase /

# Redirect www, other domains, non-HTTPS
RewriteCond %{HTTP_HOST} ^www\.mehl\.mx$ [NC]
RewriteRule ^(.*)$ https://mehl.mx/$1 [R=301,L]
RewriteCond %{HTTP_HOST} !^mehl\.mx(.*)$ [NC]
RewriteRule ^(.*)$ https://mehl.mx/ [R=301,L]
RewriteCond %{SERVER_PORT} !^443$
RewriteRule ^(.*)$ https://mehl.mx/$1 [R=301,L]

# Redirect old links
RewriteRule ^(en|de)/(.*)$ /$2 [R=301,L]
RewriteRule ^(en|de)/?$ / [R=301,L]
RewriteRule ^about/?$ / [R=301,L]

# Error documents
ErrorDocument 404 /404.html

# Compression
AddOutputFilterByType DEFLATE text/plain
AddOutputFilterByType DEFLATE text/html
AddOutputFilterByType DEFLATE text/xml
AddOutputFilterByType DEFLATE text/css
AddOutputFilterByType DEFLATE text/javascript
AddOutputFilterByType DEFLATE application/xml
AddOutputFilterByType DEFLATE application/xhtml+xml
AddOutputFilterByType DEFLATE application/rss+xml
AddOutputFilterByType DEFLATE application/javascript
AddOutputFilterByType DEFLATE application/x-javascript

# Caching
<ifModule mod_expires.c>
  # A = access <seconds>
  ExpiresActive On
  ExpiresByType text/html A300
  ExpiresByType text/plain A300
  ExpiresDefault A604800

  ExpiresByType text/javascript A604800
  ExpiresByType application/javascript A604800
  ExpiresByType application/x-javascript A604800
  ExpiresByType text/css A604800
  ExpiresByType image/gif A604800
  ExpiresByType image/png A604800
  ExpiresByType image/jpeg A604800
  ExpiresByType application/x-shockwave-flash A604800
  ExpiresByType video/x-flv A604800
  ExpiresByType application/pdf A604800
  ExpiresByType application/x-httpd-php A604800


  ExpiresByType image/x-icon A2592000
</ifModule>
